الانتقال إلى المحتوى الرئيسي
POST
/
projects
/
{projectId}
/
exports
/
quote
Quote an export
curl --request POST \
  --url https://api.youka.io/api/v1/projects/{projectId}/exports/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resolution": "1080p",
  "quality": "average",
  "transparent": false,
  "stemVolumes": {},
  "playbackRate": 2.05,
  "toneFrequency": 1.005,
  "presetId": "<string>",
  "settingsOverride": {
    "displayLanguages": [
      "<string>"
    ]
  }
}
'
{
  "creditsRequired": 4503599627370495,
  "availableBalance": 4503599627370495,
  "sufficientBalance": true,
  "durationSeconds": 123,
  "resolution": "540p",
  "quality": "low",
  "transparent": true
}

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

معلمات المسار

projectId
string
مطلوب

الجسم

application/json
resolution
enum<string>
افتراضي:1080p
مطلوب
الخيارات المتاحة:
540p,
720p,
1080p
quality
enum<string>
افتراضي:average
مطلوب
الخيارات المتاحة:
low,
average,
high
transparent
boolean
افتراضي:false
مطلوب
stemVolumes
object
playbackRate
number
النطاق المطلوب: 0.1 <= x <= 4
toneFrequency
number
النطاق المطلوب: 0.01 <= x <= 2
presetId
string
settingsOverride
object

الاستجابة

200 - application/json

Export quote

creditsRequired
integer
مطلوب
النطاق المطلوب: 0 <= x <= 9007199254740991
availableBalance
integer
مطلوب
النطاق المطلوب: 0 <= x <= 9007199254740991
sufficientBalance
boolean
مطلوب
durationSeconds
number
مطلوب
resolution
enum<string>
مطلوب
الخيارات المتاحة:
540p,
720p,
1080p
quality
enum<string>
مطلوب
الخيارات المتاحة:
low,
average,
high
transparent
boolean
مطلوب